"""Контракт плагина Summarizer."""

from abc import ABC, abstractmethod
from typing import ClassVar


class Summarizer(ABC):
    """Интерфейс Strategy для реализаций суммаризации текста."""

    provider: ClassVar[str]

    @abstractmethod
    def summarize(self, transcript: str) -> str:
        """Создать резюме переданной трансцрибции."""
        ...
